API reference
Rotate the signing secret
Returns the new secret. The previous secret remains valid for 24h to support gradual rollover.
POST
/v1/webhook-endpoints/{id}/rotate-secretAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard (no sk_ prefix required).
In: header
Path Parameters
id*unknown
Webhook endpoint id.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhook-endpoints/{id}/rotate-secret"{
"id": "string",
"url": "http://example.com",
"description": "string",
"enabled_events": [
"payment_order.created"
],
"redact_metadata": true,
"disabled_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"secret": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}